
local A = string.byte("a")
local reported = { }

local function Rot13(str)
	return (str:gsub("%a", function (chr)
		return string.char((string.byte(chr) - A + 13) % 26 + A)
	end))
end

function Relegation:CheckMessage(author, language, message, line_id)
	if (reported[author]) then
		return true
	else
		if (CanComplainChat(line_id)) then
			local checksum = Rot13(message:gsub("[^a-zA-Z0-9]", ""):lower())
			
			if (self.data.MessageList[checksum]) then
				ComplainChat(line_id)
				reported[author] = true
				
				return true
			end
		end
	end
end

